|  | Home · All Classes · All Functions · Overviews

# QStyleOptionQ3DockWindow Class Reference
[QtGui module]

The QStyleOptionQ3DockWindow class is used to describe the parameters for drawing various parts of a Q3DockWindow. More...

     #include <QStyleOptionQ3DockWindow>

Inherits QStyleOption.

- List of all members, including inherited members

## Public Types

enum | StyleOptionType { Type }
enum | StyleOptionVersion { Version }

## Public Functions

| QStyleOptionQ3DockWindow ()
| QStyleOptionQ3DockWindow ( const QStyleOptionQ3DockWindow & other )

- 2 public functions inherited from QStyleOption

## Public Variables

bool | closeEnabled
bool | docked

- 7 public variables inherited from QStyleOption

## Detailed Description

The QStyleOptionQ3DockWindow class is used to describe the parameters for drawing various parts of a Q3DockWindow.

This class is used for drawing the old Q3DockWindow and its parts. It is not recommended for new classes.

QStyleOptionQ3DockWindow contains all the information that QStyle functions need to draw Q3DockWindow and its parts.

For performance reasons, the access to the member variables is direct (i.e., using the `.` or `->` operator). This low-level feel makes the structures straightforward to use and emphasizes that these are simply parameters used by the style functions.

For an example demonstrating how style options can be used, see the Styles example.

See also QStyleOption and Q3DockWindow.

## Member Type Documentation

### enum QStyleOptionQ3DockWindow::StyleOptionType

This enum is used to hold information about the type of the style option, and is defined for each QStyleOption subclass.

Constant | Value | Description
--- | --- | ---
`QStyleOptionQ3DockWindow::Type` | `SO_Q3DockWindow` | The type of style option provided (SO_Q3DockWindow for this class).

The type is used internally by QStyleOption, its subclasses, and qstyleoption_cast() to determine the type of style option. In general you do not need to worry about this unless you want to create your own QStyleOption subclass and your own styles.

See also StyleOptionVersion.

### enum QStyleOptionQ3DockWindow::StyleOptionVersion

This enum is used to hold information about the version of the style option, and is defined for each QStyleOption subclass.

Constant | Value | Description
--- | --- | ---
`QStyleOptionQ3DockWindow::Version` | `1` | 1

The version is used by QStyleOption subclasses to implement extensions without breaking compatibility. If you use qstyleoption_cast(), you normally do not need to check it.

See also StyleOptionType.

## Member Function Documentation

### QStyleOptionQ3DockWindow::QStyleOptionQ3DockWindow ()

Constructs a QStyleOptionQ3DockWindow, initializing the member variables to their default values.

### QStyleOptionQ3DockWindow::QStyleOptionQ3DockWindow ( const QStyleOptionQ3DockWindow & other )

Constructs a copy of the other style option.

## Member Variable Documentation

### bool QStyleOptionQ3DockWindow::closeEnabled

This variable holds whether the dock window has a close button.

The default value is false.

### bool QStyleOptionQ3DockWindow::docked

This variable holds whether the dock window is currently docked.

The default value is false.